### Method

# Secret Service get_secret_for_dbus_path_finish

#### Declaration [src]

    SecretValue*
    secret_service_get_secret_for_dbus_path_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to get the secret value for an secret item stored in the service.

Will return `NULL` if the item is locked.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretValue`
| The newly allocated secret value for the item, which should be released with `secret_value_unref()`
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.